tigase.jaxmpp.gwt.client.connectors

## Class WebSocket

- java.lang.Object
- - tigase.jaxmpp.gwt.client.connectors.WebSocket

-     public class WebSocket
      extends Object

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WebSocket.SecurityException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocket(String url, String[] protocols, WebSocketCallback callback)`
    `WebSocket(String url, String protocol, WebSocketCallback callback)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getProtocol()`
    `String` | `getURL()`
    `boolean` | `isSecure()`
    `static boolean` | `isSupported()`
    `void` | `send(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocket

          public WebSocket(String url,
                           String protocol,
                           WebSocketCallback callback)
                    throws WebSocket.SecurityException

      Throws:
        `WebSocket.SecurityException`

    - #### WebSocket

          public WebSocket(String url,
                           String[] protocols,
                           WebSocketCallback callback)
                    throws WebSocket.SecurityException

      Throws:
        `WebSocket.SecurityException`

  - ### Method Detail

    - #### isSupported

          public static boolean isSupported()

    - #### close

          public void close()

    - #### getProtocol

          public String getProtocol()

    - #### getURL

          public String getURL()

    - #### isSecure

          public boolean isSecure()

    - #### send

          public void send(String message)

Copyright © 2006–2019 Tigase. All rights reserved.